メインコンテンツへスキップ
POST
/
marketing
/
transactional
/
2026-03
/
single-email
/
send
1件の送信トランザクションEメールを非同期で送信します。
curl --request POST \
  --url https://api.hubapi.com/marketing/transactional/2026-03/single-email/send \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contactProperties": {},
  "customProperties": {},
  "emailId": 123,
  "message": {
    "bcc": [
      "<string>"
    ],
    "cc": [
      "<string>"
    ],
    "replyTo": [
      "<string>"
    ],
    "from": "<string>",
    "sendId": "<string>",
    "to": "<string>"
  }
}
'
import requests

url = "https://api.hubapi.com/marketing/transactional/2026-03/single-email/send"

payload = {
"contactProperties": {},
"customProperties": {},
"emailId": 123,
"message": {
"bcc": ["<string>"],
"cc": ["<string>"],
"replyTo": ["<string>"],
"from": "<string>",
"sendId": "<string>",
"to": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactProperties: {},
customProperties: {},
emailId: 123,
message: {
bcc: ['<string>'],
cc: ['<string>'],
replyTo: ['<string>'],
from: '<string>',
sendId: '<string>',
to: '<string>'
}
})
};

fetch('https://api.hubapi.com/marketing/transactional/2026-03/single-email/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "statusId": "<string>",
  "completedAt": "2023-11-07T05:31:56Z",
  "eventId": {
    "created": "2023-11-07T05:31:56Z",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "message": "<string>",
  "requestedAt": "2023-11-07T05:31:56Z",
  "startedAt": "2023-11-07T05:31:56Z"
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
contactProperties
object
必須

contactPropertiesフィールドはコンタクトプロパティー値の対応付けです。各コンタクトプロパティー値には名前と値プロパティーが含まれています。各プロパティーはコンタクトレコードで設定され、{{ contact.NAME }}のテンプレートに表示されます。 Eメールを送信する際にコンタクトプロパティーを設定する場合は、これらのプロパティーを使用します。例えば、領収書を送信する場合、領収書の送信には前回の支払いに関する情報が含まれるため、last_paid_dateプロパティーを設定する必要がある場合があります。

customProperties
object
必須

customPropertiesフィールドはプロパティー値の対応付けです。各プロパティー値には名前と値プロパティーが含まれています。各プロパティーは{{ custom.NAME }}のテンプレートに表示されます。 注:カスタムプロパティーでは現在のところ配列はサポートされていません。Eメールでリストを指定する場合の回避策の1つとして、HTMLリスト(テーブルまたはulを使用)を作成してカスタムプロパティーとして指定する方法があります。

emailId
integer<int64>
必須

EメールツールのUIで確認できるトランザクションEメールのコンテンツID。

message
object
必須

レスポンス

successful operation

status
enum<string>
必須

送信リクエストのステータス。

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
statusId
string
必須

送信のステータスを照会するために使用されるID。

completedAt
string<date-time>

送信が完了した日時。

eventId
object
message
string

エラーと修正手順(該当する場合)を記した、人が理解できるメッセージ

requestedAt
string<date-time>

送信がリクエストされた日時。

sendResult
enum<string>

送信の結果。

利用可能なオプション:
ADDRESS_LIST_BOMBED,
ADDRESS_ONLY_ACCEPTED_ON_PROD,
ADDRESS_OPTED_OUT,
ATTACHMENT_DOWNLOAD_QUEUE_FULL,
BLOCKED_ADDRESS,
BLOCKED_DOMAIN,
BRAND_RECIPIENT_FATIGUE_SUPPRESSED,
CAMPAIGN_CANCELLED,
CANCELLED_ABUSE,
CONTACT_VIEW_PERMISSION,
CORRUPT_INPUT,
EMAIL_DISABLED,
EMAIL_UNCONFIRMED,
GDPR_DOI_ENABLED,
GRAYMAIL_SUPPRESSED,
HUBL_LIMIT_EXCEEDED,
IDEMPOTENT_FAIL,
IDEMPOTENT_IGNORE,
INVALID_APP_ID_ATTRIBUTION,
INVALID_FROM_ADDRESS,
INVALID_TO_ADDRESS,
LOW_CONTACT_QUALITY_SCORE,
MARKETING_ACTIVATION_DISALLOWED,
MISSING_CONTENT,
MISSING_REQUIRED_PARAMETER,
MISSING_TEMPLATE_PROPERTIES,
MTA_IGNORE,
NON_MARKETABLE_CONTACT,
PORTAL_AUTHENTICATION_FAILURE,
PORTAL_EXPIRED,
PORTAL_MISSING_MARKETING_SCOPE,
PORTAL_NOT_AUTHORIZED_FOR_APPLICATION,
PORTAL_OVER_LIMIT,
PORTAL_SUSPENDED,
PREVIOUS_SPAM,
PREVIOUSLY_BOUNCED,
PREVIOUSLY_UNSUBSCRIBED_BRAND,
PREVIOUSLY_UNSUBSCRIBED_BUSINESS_UNIT,
PREVIOUSLY_UNSUBSCRIBED_MESSAGE,
PREVIOUSLY_UNSUBSCRIBED_PORTAL,
QUARANTINED_ADDRESS,
QUEUED,
RECIPIENT_FATIGUE_SUPPRESSED,
SENT,
TEMPLATE_RENDER_EXCEPTION,
THROTTLED,
TOO_MANY_RECIPIENTS,
UBB_GOVERNANCE_MISSING,
UNCONFIGURED_SENDING_DOMAIN,
UNDELIVERABLE,
VALIDATION_FAILED
startedAt
string<date-time>

送信の処理が開始された日時。

最終更新日 2026年4月10日